## yaz modified

=== Makefile ===
#
# $Id: Makefile.in,v 1.15 2005/12/09 16:33:51 jsommers Exp $
#

#
# Copyright (c) 2005  Joel Sommers.  All rights reserved.
#
# This file is part of yaz, an end-to-end available bandwidth
# measurement tool.
#
# Yaz is free software; you can redistribute it and/or modify
# it under the terms of the GNU General Public License as published by
# the Free Software Foundation; either version 2 of the License, or
# (at your option) any later version.
#
# Yaz is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
# GNU General Public License for more details.
#
# You should have received a copy of the GNU General Public License
# along with Yaz; if not, write to the Free Software
# Foundation, Inc., 51 Franklin St, Fifth Floor, Boston, MA  02110-1301  USA
#

srcdir = .
prefix = /usr/local


#############################################################################

OBJS=yaz.o yaz_recv.o yaz_send.o main.o 

CXX=g++
CPPFLAGS= -I/usr/include/pcap -D_REENTRANT
CXXFLAGS=-g -Wall -pthread
LIBS=-lpthread 
LDFLAGS=

#############################################################################

TARGET=yaz

all: $(TARGET) 

$(TARGET): $(OBJS)
	$(CXX) -o $@ $(OBJS) $(LDFLAGS) $(LIBS)

clean:
	rm -f $(OBJS) $(TARGET) *~ 

distclean: clean
	rm -f Makefile config.log config.status config.h

install: $(TARGET)
	echo "install it manually"

.cc.o:
	$(CXX) -c $< $(CPPFLAGS) $(CXXFLAGS)

#############################################################################

yaz.o: yaz.cc yaz.h

yaz_recv.o: yaz_recv.cc yaz.h

yaz_send.o: yaz_send.cc yaz.h

main.o: main.cc yaz.h

## yaz 4.0.10

=== debian/changelog ===
yaz (4.0.10-1) unstable; urgency=low

  * New Upstream Version

 -- Vincent Danjean <vdanjean@debian.org>  Wed, 23 Jun 2010 13:13:21 +0200

yaz (4.0.8-1) unstable; urgency=low

  * New Upstream Version

 -- Vincent Danjean <vdanjean@debian.org>  Wed, 12 May 2010 13:27:09 +0200

yaz (4.0.7-1) unstable; urgency=low

  * New Upstream Version
  * yaz_mutex_{create,destroy,enter,leave,set_name} symbols have been moved
    from libyaz_server.so.4 to libyaz.so.4. *No* soname dump as:
    - libyaz_server.so.4 is linked to libyaz.so.4
    - libyaz_server.so.4 and libyaz.so.4 are provided by the same binary package
    - the current linker is transitive when it searches for a symbol

 -- Vincent Danjean <vdanjean@debian.org>  Tue, 11 May 2010 12:54:14 +0200

yaz (4.0.3-1) unstable; urgency=low

  * New Upstream Version

 -- Vincent Danjean <vdanjean@debian.org>  Sun, 11 Apr 2010 21:53:49 +0200

yaz (4.0.2-2) unstable; urgency=low

  * Re-upload to unstable

 -- Vincent Danjean <vdanjean@debian.org>  Sat, 10 Apr 2010 13:21:55 +0200

yaz (4.0.2-1) experimental; urgency=low

  * New Upstream Version
  * debian/control:
      Bump Standard-Version (no change needed)
      add versioned build depends on autotools-dev (for debhelper help)
  * debian/rules:
      use dh --with autotools_dev to update config.*
      refactorize with dh
  * debian/source/format => 3.0 (quilt)
  * update debian/libyaz4.symbols

 -- Vincent Danjean <vdanjean@debian.org>  Wed, 31 Mar 2010 00:20:27 +0200

yaz (4.0.1-1) experimental; urgency=low

  * New Upstream Version
    Soname has been dumped

 -- Vincent Danjean <vdanjean@debian.org>  Wed, 03 Feb 2010 19:12:00 +0100

yaz (3.0.52-1) unstable; urgency=low

  * New Upstream Version
  * Fix typos in package description (Closes: #557679, #557681)
    Thanks to Pascal De Vuyst to report it.

 -- Vincent Danjean <vdanjean@debian.org>  Thu, 03 Dec 2009 21:21:07 +0100

yaz (3.0.50-1) unstable; urgency=low

  * New Upstream Version
  * Debian packaging:
    - debian/*.symbols: add new symbols. Several internal use only (according
      to upstream) symbols has been removed. As it was wrong for a user
      to use it, no soname bump has been done.
    - remove patch for automake 1.11 (patch applied upstream)

 -- Vincent Danjean <vdanjean@debian.org>  Sat, 07 Nov 2009 23:57:06 +0100

yaz (3.0.48-1) unstable; urgency=low

  * Imported Upstream version 3.0.48
  * Remove *.la files (after debian-devel global discussions)
  * Dump Standard-Version (no change needed)
  * Fix build with automake 1.11
  * use libreadline-dev instead of libreadline5-dev

 -- Vincent Danjean <vdanjean@debian.org>  Sat, 12 Sep 2009 18:49:16 +0200

yaz (3.0.47-1) unstable; urgency=low

  * New Upstream Version
  * dump standard-version (no change needed)
  * update symbol file

 -- Vincent Danjean <vdanjean@debian.org>  Mon, 13 Jul 2009 10:37:22 +0200

yaz (3.0.46-1) unstable; urgency=low

  * New Upstream Version

 -- Vincent Danjean <vdanjean@debian.org>  Tue, 16 Jun 2009 09:33:49 +0200

yaz (3.0.45-1) unstable; urgency=low

  * New Upstream Version

 -- Vincent Danjean <vdanjean@debian.org>  Wed, 15 Apr 2009 10:28:07 +0200

yaz (3.0.42-1) unstable; urgency=low

  * New Upstream Version
    Not uploaded due to ABI breakage resolved with the help of upstream

 -- Vincent Danjean <vdanjean@debian.org>  Tue, 03 Feb 2009 16:36:05 +0100

yaz (3.0.41-1) unstable; urgency=low

  * New Upstream Version
  * Debian packaging:
    - debian/control: fix lintian warnings (missing ${misc:Depends} and
      descriptions (Closes: #477690))
    - debian/*.symbols: add new symbols. One internal use only (according
      to upstream) symbol has been removed. As it was wrong for a user
      to use it, no soname bump has been done.
    - debian/rules: manage libtool scripts correctly with autoreconf
      (local libtool is more recent than debian version)

 -- Vincent Danjean <vdanjean@debian.org>  Mon, 02 Feb 2009 11:27:28 +0100

yaz (3.0.34-2) unstable; urgency=low

  * Fix depends for libyaz-dev (replace libssl-dev by libgnutls-dev)

 -- Vincent Danjean <vdanjean@debian.org>  Mon, 11 Aug 2008 13:03:08 +0200

yaz (3.0.34-1) unstable; urgency=low

  * New Upstream Version
    + YAZ uses GNU TLS without the OpenSSL compatibility wrapper.
  * debian/rules:
    - reenable --with-gnutls in configure (and add corresponding builddepends)
    - fix typo (Closes: #486239)

 -- Vincent Danjean <vdanjean@debian.org>  Fri, 20 Jun 2008 15:09:36 +0200

yaz (3.0.32-1) unstable; urgency=low

  * New Upstream Version

 -- Vincent Danjean <vdanjean@debian.org>  Thu, 12 Jun 2008 13:38:40 +0200

yaz (3.0.30-1) unstable; urgency=low

  * New upstream version
  ***************************************************************
  * Do not link with gnutls nor openssl until licenses issues are
    fully solved with upstream (work in progress)
    => this version of yaz will be unable to access https:// URL
    A NEWS file will be provided in the lenny package explaining
    the current situation (I'm confident that yaz will be able
    to use libgnutls without libgnutls-openssl)
  ***************************************************************
  * No need to recreate orig.gz anymore (thanks indexdata for
    not including debian/ in tar.gz anymore)
  * Dumb standard-version to 3.8.0 (no change needed)
  * build depends on good versions of libicu-dev (Closes: #483649)
  * close old already fixed bugs:
    + yaz: New version of YAZ available (Closes: #463116)
    + yaz: FTBFS on GNU/kFreeBSD (Closes: #410346)
      [fixed by upstream but ziffy is not included anymore]

 -- Vincent Danjean <vdanjean@debian.org>  Wed, 11 Jun 2008 13:30:41 +0200

yaz (3.0.26+debian.1-3) unstable; urgency=low

  * Re-enable the tst_icu_I18N (libicu38 will need to be fixed)
  * add symbol files for libyaz3 (with dpkg-gensymbols)
    set the versions to the current one (if someone wants to
    track the exact version, patch welcome)
  * switch to debhelper 7


=== debian/control ===
Source: yaz
Section: utils
Standards-Version: 3.8.4
Maintainer: Vincent Danjean <vdanjean@debian.org>
Priority: extra
Build-Depends: debhelper (>= 7.0.50~), pkg-config, libxslt1-dev,
 quilt (>= 0.46-7~~),
 libreadline-dev, libwrap0-dev, libpcap0.8-dev,
 libicu-dev (>> 3.8.1-1) | libicu36-dev,
 libgnutls-dev,
 tcl8.4, bison, xsltproc,
 gawk, docbook-xsl, docbook-dsssl, docbook-xml, 
 autotools-dev (>=20100122.1~),
 autoconf (>=2.61), automake (>=1:1.10), libtool
Vcs-Browser: http://git.debian.org/?p=collab-maint/yaz.git;a=summary
Vcs-Git: git://git.debian.org/git/collab-maint/yaz
Homepage: http://www.indexdata.dk/yaz/

Package: libyaz4
Section: libs
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Conflicts: idzebra (<= 1.3.4-2), php4-yaz (<= 4.1.2-5), libyaz
Replaces: libyaz
Description: The YAZ Z39.50 toolkit (runtime files)
 YAZ is a toolkit that allows you to develop software using the
 ANSI Z39.50/ISO23950 standard for information retrieval.
 .
 This package includes runtime files.

Package: yaz
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Conflicts: yaz-runtime, yaz-ssl
Description: The YAZ Z39.50 toolkit (utilities)
 YAZ is a toolkit that allows you to develop software using the
 ANSI Z39.50/ISO23950 standard for information retrieval.
 .
 This package includes utility programs.

Package: yaz-doc
Section: doc
Architecture: all
Depends: ${misc:Depends}
Description: The YAZ Z39.50 toolkit (documentation)
 YAZ is a toolkit that allows you to develop software using the
 Z39.50/ISO23950 standard for information retrieval.
 .
 This package includes documentation for YAZ in HTML and PDF.

Package: libyaz4-dev
Depends: libyaz4 (= ${binary:Version}), libxslt1-dev, libwrap0-dev,
 libgnutls-dev, ${misc:Depends},
 libicu-dev | libicu36-dev
Replaces: yaz-devel, libyaz3-dev
Conflicts: yaz-devel, libyaz-dev, libyaz2-dev, libyaz3-dev
Provides: libyaz-dev
Section: libdevel
Architecture: any
Recommends: tcl8.4|tclsh
Suggests: yaz-doc
Description: The YAZ Z39.50 toolkit (development files)
 YAZ is a toolkit that allows you to develop software using the
 ANSI Z39.50/ISO23950 standard for information retrieval.
 .
 This package includes development libraries and C/C++ header files.

Package: yaz-illclient
Depends: ${shlibs:Depends}, ${misc:Depends}
Architecture: any
Description: utility for ISO ILL of YAZ
 YAZ is a toolkit that allows you to develop software using the
 Z39.50/ISO23950 standard for information retrieval.
 .
 The yaz-illclient program is a command-line based client which sends ILL
 requests to a server and decodes the response.

Package: yaz-icu
Depends: ${shlibs:Depends}, ${misc:Depends}
Architecture: any
Description: command line utility for ICU utilities of YAZ
 YAZ is a toolkit that allows you to develop software using the
 Z39.50/ISO23950 standard for information retrieval.
 .
 The yaz-icu program is a command-line based client which exposes the ICU
 chain facility of YAZ.

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

DH=dh --with quilt --with autotools_dev

#export PATH:=${HOME}/ccache:${PATH}

export CFLAGS+= -Wall

%:
	$(DH) $@

override_dh_installchangelogs:
	dh_installchangelogs NEWS

override_dh_auto_configure:
	autoreconf -vif
	dh_auto_configure -- \
		--enable-shared --enable-static \
		--enable-tcpd --with-xslt \
		--with-gnutls --without-openssl \
		--with-icu --with-xml2 --with-pcap

override_dh_auto_clean:
	dh_auto_clean
	# remove stamp files
	$(RM) stamp-*
	# remove generated files
	$(RM) doc/*.html doc/*.7 doc/*.1 \
		doc/htmlhelp.hhp doc/toc.hhc doc/manref.xml
	# remove autoconf generated files
	find . -name Makefile.in -exec $(RM) {} \;
	$(RM) aclocal.m4 configure config/* m4/libtool.m4 m4/lt*.m4

clean:
	$(DH) clean
	# if this is a git repository, restore removed files that would have
	# been ignored by dpkg-source
	-test -d .git && git checkout -- $$(git status | \
		sed -e '/^#[[:space:]]*deleted:[[:space:]]*/s/^#[[:space:]]*deleted:[[:space:]]*//p;d' | \
		grep -v '^debian/')

override_dh_auto_install:
	dh_auto_install
	mv debian/tmp/usr/share/doc/yaz debian/tmp/usr/share/doc/yaz-doc

override_dh_installdocs:
	dh_installdocs -A README

override_dh_shlibdeps:
	dh_shlibdeps -a -- --warnings=7

.PHONY: clean

## yaz 4.0.11

=== debian/changelog ===
yaz (4.0.11-1ubuntu1) natty; urgency=low

  * debian/rules: Add -lm to LDFLAGS, fixes FTBFS.

 -- Artur Rona <ari-tczew@ubuntu.com>  Fri, 22 Oct 2010 19:49:42 +0200

yaz (4.0.11-1) unstable; urgency=low

  * New Upstream Version
    Fix many bugs (Closes: #591307)
  * Dump Standard-Version to 3.9.1 (no change needed)
  * Remplace versionned conflicts with breaks

 -- Vincent Danjean <vdanjean@debian.org>  Wed, 25 Aug 2010 14:30:11 +0200

=== debian/control ===
--- 
+++ 
@@ -1,7 +1,8 @@
 Source: yaz
 Section: utils
-Standards-Version: 3.8.4
-Maintainer: Vincent Danjean <vdanjean@debian.org>
+Standards-Version: 3.9.1
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Vincent Danjean <vdanjean@debian.org>
 Priority: extra
 Build-Depends: debhelper (>= 7.0.50~), pkg-config, libxslt1-dev,
  quilt (>= 0.46-7~~),
@@ -20,7 +21,7 @@
 Section: libs
 Architecture: any
 Depends: ${shlibs:Depends}, ${misc:Depends}
-Conflicts: idzebra (<= 1.3.4-2), php4-yaz (<= 4.1.2-5), libyaz
+Breaks: idzebra (<= 1.3.4-2), php4-yaz (<= 4.1.2-5), libyaz
 Replaces: libyaz
 Description: The YAZ Z39.50 toolkit (runtime files)
  YAZ is a toolkit that allows you to develop software using the

=== debian/rules ===
--- 
+++ 
@@ -9,6 +9,7 @@
 #export PATH:=${HOME}/ccache:${PATH}
 
 export CFLAGS+= -Wall
+export LDFLAGS+= -lm
 
 %:
 	$(DH) $@
@@ -28,15 +29,18 @@
 	dh_auto_clean
 	# remove stamp files
 	$(RM) stamp-*
+
+clean:
+	$(DH) clean
 	# remove generated files
-	$(RM) doc/*.html doc/*.7 doc/*.1 \
+	$(RM) doc/*.html doc/*.7 doc/*.1 doc/*.8 \
 		doc/htmlhelp.hhp doc/toc.hhc doc/manref.xml
 	# remove autoconf generated files
 	find . -name Makefile.in -exec $(RM) {} \;
 	$(RM) aclocal.m4 configure config/* m4/libtool.m4 m4/lt*.m4
-
-clean:
-	$(DH) clean
+	$(RM) yaz.spec doc/local.ent doc/common/print.dsl \
+		yaz-config yaz.pc Doxyfile win/version.nsi \
+		include/yaz/yaz-version.h
 	# if this is a git repository, restore removed files that would have
 	# been ignored by dpkg-source
 	-test -d .git && git checkout -- $$(git status | \

## yaz 4.2.18

=== debian/changelog ===
yaz (4.2.18-1build1) precise; urgency=low

  * Rebuild for libicu48.

 -- Colin Watson <cjwatson@ubuntu.com>  Mon, 21 Nov 2011 17:12:31 +0000

yaz (4.2.18-1) unstable; urgency=low

  * New Upstream Version
  * Yaz can be build with gold now (Closes: #556768)

 -- Vincent Danjean <vdanjean@debian.org>  Tue, 01 Nov 2011 14:47:15 -0200

yaz (4.2.12-1) unstable; urgency=low

  * New Upstream Version (Closes: #639694)
  * debian/*.symbols: add new symbols. Several internal use only (according
      to upstream) symbols has been removed. As it was wrong for a user
      to use it, no soname bump has been done.

 -- Vincent Danjean <vdanjean@debian.org>  Mon, 29 Aug 2011 16:19:34 +0200

=== debian/control ===
--- 
+++ 
@@ -1,10 +1,9 @@
 Source: yaz
 Section: utils
-Standards-Version: 3.9.1
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: Vincent Danjean <vdanjean@debian.org>
+Standards-Version: 3.9.2
+Maintainer: Vincent Danjean <vdanjean@debian.org>
 Priority: extra
-Build-Depends: debhelper (>= 7.0.50~), pkg-config, libxslt1-dev,
+Build-Depends: debhelper (>= 8), pkg-config, libxslt1-dev,
  quilt (>= 0.46-7~~),
  libreadline-dev, libwrap0-dev, libpcap0.8-dev,
  libicu-dev (>> 3.8.1-1) | libicu36-dev,
@@ -23,7 +22,7 @@
 Depends: ${shlibs:Depends}, ${misc:Depends}
 Breaks: idzebra (<= 1.3.4-2), php4-yaz (<= 4.1.2-5), libyaz
 Replaces: libyaz
-Description: The YAZ Z39.50 toolkit (runtime files)
+Description: YAZ Z39.50 toolkit (runtime files)
  YAZ is a toolkit that allows you to develop software using the
  ANSI Z39.50/ISO23950 standard for information retrieval.
  .
@@ -33,7 +32,7 @@
 Architecture: any
 Depends: ${shlibs:Depends}, ${misc:Depends}
 Conflicts: yaz-runtime, yaz-ssl
-Description: The YAZ Z39.50 toolkit (utilities)
+Description: utilities for YAZ Z39.50 toolkit
  YAZ is a toolkit that allows you to develop software using the
  ANSI Z39.50/ISO23950 standard for information retrieval.
  .
@@ -43,7 +42,7 @@
 Section: doc
 Architecture: all
 Depends: ${misc:Depends}
-Description: The YAZ Z39.50 toolkit (documentation)
+Description: YAZ Z39.50 toolkit (documentation)
  YAZ is a toolkit that allows you to develop software using the
  Z39.50/ISO23950 standard for information retrieval.
  .
@@ -60,7 +59,7 @@
 Architecture: any
 Recommends: tcl8.4|tclsh
 Suggests: yaz-doc
-Description: The YAZ Z39.50 toolkit (development files)
+Description: YAZ Z39.50 toolkit (development files)
  YAZ is a toolkit that allows you to develop software using the
  ANSI Z39.50/ISO23950 standard for information retrieval.
  .

## yaz 4.2.30

=== debian/changelog ===
yaz (4.2.30-4build2) xenial; urgency=medium

  * No-change rebuild for gnutls transition.

 -- Matthias Klose <doko@ubuntu.com>  Wed, 17 Feb 2016 22:28:43 +0000

yaz (4.2.30-4build1) wily; urgency=medium

  * No-change rebuild against new libicu

 -- Iain Lane <iain@orangesquash.org.uk>  Wed, 05 Aug 2015 17:42:03 +0100

yaz (4.2.30-4) unstable; urgency=medium

  * Ack previous NMU (forgotten in the previous upload)
  * Replaced tcl8.4 by tcl in build dependencies and in dependencies of 
    libyaz4-dev (Closes: #725270) Thanks Sergei Golovan <sgolovan@debian.org>

 -- Vincent Danjean <vdanjean@debian.org>  Tue, 08 Jul 2014 11:27:16 +0200

yaz (4.2.30-3) unstable; urgency=medium

  * Fix "Build against (and depend on) libgnutls28-dev" 
    (Closes: #753169) Thanks to Andreas Metzler <ametzler@bebt.de>
  * Dump Standard-Version (no change needed)
  * Canonize VCS URLs

 -- Vincent Danjean <vdanjean@debian.org>  Mon, 07 Jul 2014 13:35:38 +0200

yaz (4.2.30-2) unstable; urgency=low

  * Fix bug releaved by testsuite on MIPS with an upstream patch

 -- Vincent Danjean <vdanjean@debian.org>  Mon, 16 Apr 2012 14:26:10 +0200

yaz (4.2.30-1) unstable; urgency=low

  * New Upstream Version

 -- Vincent Danjean <vdanjean@debian.org>  Wed, 11 Apr 2012 14:30:03 +0200

=== debian/control ===
--- 
+++ 
@@ -1,19 +1,19 @@
 Source: yaz
 Section: utils
-Standards-Version: 3.9.2
+Standards-Version: 3.9.5
 Maintainer: Vincent Danjean <vdanjean@debian.org>
 Priority: extra
 Build-Depends: debhelper (>= 8), pkg-config, libxslt1-dev,
  quilt (>= 0.46-7~~),
  libreadline-dev, libwrap0-dev, libpcap0.8-dev,
  libicu-dev (>> 3.8.1-1) | libicu36-dev,
- libgnutls-dev,
- tcl8.4, bison, xsltproc,
+ libgnutls28-dev,
+ tcl, bison, xsltproc,
  gawk, docbook-xsl, docbook-dsssl, docbook-xml, 
  autotools-dev (>=20100122.1~),
  autoconf (>=2.61), automake (>=1:1.10), libtool
-Vcs-Browser: http://git.debian.org/?p=collab-maint/yaz.git;a=summary
-Vcs-Git: git://git.debian.org/git/collab-maint/yaz
+Vcs-Browser: http://anonscm.debian.org/gitweb/?p=collab-maint/yaz.git;a=summary
+Vcs-Git: git://anonscm.debian.org/collab-maint/yaz
 Homepage: http://www.indexdata.dk/yaz/
 
 Package: libyaz4
@@ -50,14 +50,14 @@
 
 Package: libyaz4-dev
 Depends: libyaz4 (= ${binary:Version}), libxslt1-dev, libwrap0-dev,
- libgnutls-dev, ${misc:Depends},
+ libgnutls28-dev, ${misc:Depends},
  libicu-dev | libicu36-dev
 Replaces: yaz-devel, libyaz3-dev
 Conflicts: yaz-devel, libyaz-dev, libyaz2-dev, libyaz3-dev
 Provides: libyaz-dev
 Section: libdevel
 Architecture: any
-Recommends: tcl8.4|tclsh
+Recommends: tcl
 Suggests: yaz-doc
 Description: YAZ Z39.50 toolkit (development files)
  YAZ is a toolkit that allows you to develop software using the

=== debian/watch ===
version=3

http://ftp.indexdata.dk/pub/yaz/ yaz-(.*)\.tar\.gz

## yaz 5.19.2

=== debian/changelog ===
yaz (5.19.2-0ubuntu3) bionic; urgency=medium

  * No-change rebuild for icu soname change.

 -- Matthias Klose <doko@ubuntu.com>  Tue, 07 Nov 2017 08:56:11 +0000

yaz (5.19.2-0ubuntu2) bionic; urgency=medium

  * No-change rebuild for libicu soname change.

 -- Matthias Klose <doko@ubuntu.com>  Wed, 25 Oct 2017 15:49:28 +0000

yaz (5.19.2-0ubuntu1) zesty; urgency=medium

  * New upstream release
  * Bump standards to 3.9.8
  * Rename libraries to yaz5
  * Install README.md
  * Fix watch file and bump to version 4.
  * Regenerate symbols file
  * Drop patches as they are fixed upstream.

 -- Bhavani Shankar <bhavi@ubuntu.com>  Thu, 05 Jan 2017 20:31:12 +0530

yaz (4.2.30-4build4) yakkety; urgency=medium

  * No-change rebuild for readline soname change.

 -- Matthias Klose <doko@ubuntu.com>  Sat, 17 Sep 2016 12:12:40 +0000

yaz (4.2.30-4build3) yakkety; urgency=medium

  * No-change rebuild for libicu soname change.

 -- Matthias Klose <doko@ubuntu.com>  Fri, 22 Apr 2016 23:01:14 +0000

=== debian/control ===
--- 
+++ 
@@ -1,11 +1,16 @@
 Source: yaz
 Section: utils
-Standards-Version: 3.9.5
-Maintainer: Vincent Danjean <vdanjean@debian.org>
+Standards-Version: 3.9.8
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Vincent Danjean <vdanjean@debian.org>
 Priority: extra
-Build-Depends: debhelper (>= 8), pkg-config, libxslt1-dev,
- quilt (>= 0.46-7~~),
- libreadline-dev, libwrap0-dev, libpcap0.8-dev,
+Build-Depends: debhelper (>= 8),
+ quilt (>= 0.46-7~~), 
+ pkg-config, 
+ libxslt1-dev,
+ libreadline-dev, 
+ libwrap0-dev, 
+ libpcap0.8-dev,
  libicu-dev (>> 3.8.1-1) | libicu36-dev,
  libgnutls28-dev,
  tcl, bison, xsltproc,
@@ -16,7 +21,7 @@
 Vcs-Git: git://anonscm.debian.org/collab-maint/yaz
 Homepage: http://www.indexdata.dk/yaz/
 
-Package: libyaz4
+Package: libyaz5
 Section: libs
 Architecture: any
 Depends: ${shlibs:Depends}, ${misc:Depends}
@@ -48,12 +53,12 @@
  .
  This package includes documentation for YAZ in HTML and PDF.
 
-Package: libyaz4-dev
-Depends: libyaz4 (= ${binary:Version}), libxslt1-dev, libwrap0-dev,
+Package: libyaz5-dev
+Depends: libyaz5 (= ${binary:Version}), libxslt1-dev, libwrap0-dev,
  libgnutls28-dev, ${misc:Depends},
  libicu-dev | libicu36-dev
-Replaces: yaz-devel, libyaz3-dev
-Conflicts: yaz-devel, libyaz-dev, libyaz2-dev, libyaz3-dev
+Replaces: yaz-devel, libyaz3-dev, libyaz4-dev
+Conflicts: yaz-devel, libyaz-dev, libyaz2-dev, libyaz3-dev, libyaz4-dev
 Provides: libyaz-dev
 Section: libdevel
 Architecture: any
@@ -83,4 +88,4 @@
  Z39.50/ISO23950 standard for information retrieval.
  .
  The yaz-icu program is a command-line based client which exposes the ICU
- chain facility of YAZ.
+ chain facillity of YAZ.

=== debian/rules ===
--- 
+++ 
@@ -4,15 +4,14 @@
 # Uncomment this to turn on verbose mode.
 #export DH_VERBOSE=1
 
-DH=dh --with quilt --with autotools_dev
+DH_OPTIONS=--with quilt --with autotools_dev
 
 #export PATH:=${HOME}/ccache:${PATH}
 
 export CFLAGS+= -Wall
-export LDFLAGS+= -lm
 
 %:
-	$(DH) $@
+	dh $@ $(DH_OPTIONS)
 
 override_dh_installchangelogs:
 	dh_installchangelogs NEWS
@@ -31,7 +30,7 @@
 	$(RM) stamp-*
 
 clean:
-	$(DH) clean
+	dh clean $(DH_OPTIONS)
 	# remove generated files
 	$(RM) doc/*.html doc/*.7 doc/*.1 doc/*.8 \
 		doc/htmlhelp.hhp doc/toc.hhc doc/manref.xml
@@ -52,10 +51,13 @@
 	mv debian/tmp/usr/share/doc/yaz debian/tmp/usr/share/doc/yaz-doc
 
 override_dh_installdocs:
-	dh_installdocs -A README
+	dh_installdocs -A README.md
 
 override_dh_shlibdeps:
 	dh_shlibdeps -a -- --warnings=7
 
+override_dh_install:
+	dh_install --fail-missing -Xusr/lib/libyaz_icu.la -Xusr/lib/libyaz_server.la -Xusr/lib/libyaz.la
+
 .PHONY: clean

=== debian/watch ===
version=4
http://ftp.indexdata.dk/pub/yaz/yaz-(\d\S+)\.tar\.(?:bz2|gz|xz)

## yaz 5.27.1

=== debian/changelog ===
yaz (5.27.1-2) unstable; urgency=medium

  * Upload to unstable (ack from release-team in #918954)

 -- Vincent Danjean <vdanjean@debian.org>  Mon, 14 Jan 2019 09:33:55 +0100

yaz (5.27.1-1) experimental; urgency=medium

  [ Vincent Danjean ]
  * New upstream release (long overdue) (Closes: #915369):
    - The PKG_PROG_PKG_CONFIG macro is now used, allowing yaz to cross-build
      from source (Closes: #880358).
    - pkg-config is now used to detect icu (Closes: #915394).
    - yaz-client no longer suffers a segmentation fault when connecting via a
      UNIX socket (Closes: #889571).
  * debian/control:
    - use the virtual package debhelper-compat to specify dh level
    - make libyaz-dev provide libyaz4-dev and upload to experimental
      so that build-rdeps can be checked

  [ Hugh McMaster ]
  * Add debian/compat file, specifying compatibility level 11.
  * debian/control:
    - Remove trailing whitespace.
    - Raise Standards-Version to 4.3.0 from 3.9.5.
    - Switch to Priority: optional.
    - Update build dependencies.
    - Update Homepage field.
    - Remove alternative dependency on libicu36-dev.
    - Update for transition to libyaz5.
    - Update for transition to libyaz-dev.
    - Mark libyaz5 Multi-Arch: same.
    - Mark yaz-doc Multi-Arch: foreign.
  * debian/patches:
    - Remove for-upstream_fix-typo.diff and from-upstream_mips-bugfix.diff
      (no longer needed).
    - yaz-spelling-fixes.patch: Fix spelling errors in various files.
  * debian/rules:
    - Add 'hardening=+all' to DEB_BUILD_MAINT_OPTIONS.
    - Remove un-needed DH_OPTIONS variable.
    - Sort debhelper overrides.
    - Remove manual call to autoreconf.
    - Drop unsupported configure flags.
    - Remove un-needed dh_auto_install override and directory rename.
    - Ensure the package documentation is installed in yaz-doc.
    - Add dh_missing override.
    - Hide excessive warnings when calling dh_shlibdeps.
    - Do not install the (non-existant) README file into all packages.
    - Build with debugging/symbol information.
  * debian/watch: Use uscan version 4.
  * Update symbols file for yaz 5.27.1.
  * libyaz5:
    - Rename libyaz4.install to libyaz5.install.
    - Install the shared library symbolic links into a multi-arch libdir.
    - Rename libyaz4.symbols to libyaz5.symbols.
  * libyaz-dev:
    - Rename libyaz4-dev.install to libyaz-dev.install.
    - Drop debian/tmp path prefix from the install file.
    - Use multi-arch paths in the install file.
    - Move manpages from the install file into a manpages file.
    - Install README.md.
  * yaz:
    - Drop debian/tmp path prefix from the install file.
    - Move manpages from the install file into a manpages file.
    - Add binary and manpage entries for yaz-record-conv.
  * yaz-doc:
    - Rename yaz-doc.install to yaz-doc.docs.
    - Simplify list of files to install.
    - Add doc-base registration file.
  * yaz-icu:
    - Drop debian/tmp path prefix from the install file.
    - Move manpages from the install file into a manpages file.
  * yaz-illclient:
    - Drop debian/tmp path prefix from the install file.
    - Move manpages from the install file into a manpages file.
  * Only install the NEWS file into libyaz-dev and yaz-docs.

 -- Vincent Danjean <vdanjean@debian.org>  Fri, 28 Dec 2018 14:16:26 +0100

=== debian/control ===
--- 
+++ 
@@ -1,32 +1,22 @@
 Source: yaz
 Section: utils
-Standards-Version: 3.9.8
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: Vincent Danjean <vdanjean@debian.org>
-Priority: extra
-Build-Depends: debhelper (>= 8),
- quilt (>= 0.46-7~~), 
- pkg-config, 
- libxslt1-dev,
- libreadline-dev, 
- libwrap0-dev, 
- libpcap0.8-dev,
- libicu-dev (>> 3.8.1-1) | libicu36-dev,
- libgnutls28-dev,
- tcl, bison, xsltproc,
- gawk, docbook-xsl, docbook-dsssl, docbook-xml, 
- autotools-dev (>=20100122.1~),
+Standards-Version: 4.3.0
+Maintainer: Vincent Danjean <vdanjean@debian.org>
+Priority: optional
+Build-Depends: debhelper-compat (= 11), pkg-config, libxslt1-dev,
+ libreadline-dev, libwrap0-dev, libpcap0.8-dev,
+ libicu-dev, libgnutls28-dev, tcl, bison, xsltproc,
+ gawk, docbook-xsl, docbook-dsssl, docbook-xml,
  autoconf (>=2.61), automake (>=1:1.10), libtool
-Vcs-Browser: http://anonscm.debian.org/gitweb/?p=collab-maint/yaz.git;a=summary
-Vcs-Git: git://anonscm.debian.org/collab-maint/yaz
-Homepage: http://www.indexdata.dk/yaz/
+Vcs-Browser: https://salsa.debian.org/debian/yaz
+Vcs-Git: https://salsa.debian.org/debian/yaz.git
+Homepage: https://www.indexdata.com/resources/software/yaz/
 
 Package: libyaz5
 Section: libs
 Architecture: any
+Multi-Arch: same
 Depends: ${shlibs:Depends}, ${misc:Depends}
-Breaks: idzebra (<= 1.3.4-2), php4-yaz (<= 4.1.2-5), libyaz
-Replaces: libyaz
 Description: YAZ Z39.50 toolkit (runtime files)
  YAZ is a toolkit that allows you to develop software using the
  ANSI Z39.50/ISO23950 standard for information retrieval.
@@ -46,6 +36,7 @@
 Package: yaz-doc
 Section: doc
 Architecture: all
+Multi-Arch: foreign
 Depends: ${misc:Depends}
 Description: YAZ Z39.50 toolkit (documentation)
  YAZ is a toolkit that allows you to develop software using the
@@ -53,13 +44,12 @@
  .
  This package includes documentation for YAZ in HTML and PDF.
 
-Package: libyaz5-dev
+Package: libyaz-dev
 Depends: libyaz5 (= ${binary:Version}), libxslt1-dev, libwrap0-dev,
- libgnutls28-dev, ${misc:Depends},
- libicu-dev | libicu36-dev
-Replaces: yaz-devel, libyaz3-dev, libyaz4-dev
-Conflicts: yaz-devel, libyaz-dev, libyaz2-dev, libyaz3-dev, libyaz4-dev
-Provides: libyaz-dev
+ libgnutls28-dev, libicu-dev, ${misc:Depends}
+Breaks: libyaz4-dev
+Replaces: libyaz4-dev
+Provides: libyaz4-dev
 Section: libdevel
 Architecture: any
 Recommends: tcl
@@ -88,4 +78,4 @@
  Z39.50/ISO23950 standard for information retrieval.
  .
  The yaz-icu program is a command-line based client which exposes the ICU
- chain facillity of YAZ.
+ chain facility of YAZ.

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-

export DEB_BUILD_MAINT_OPTIONS=hardening=+all

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

#export PATH:=${HOME}/ccache:${PATH}

export DEB_CPPFLAGS_MAINT_APPEND= -Wall -g

%:
	dh $@

override_dh_auto_clean:
	dh_auto_clean
	# remove stamp files
	$(RM) stamp-*

clean:
	dh clean
	# remove generated files
	$(RM) doc/*.html doc/*.7 doc/*.1 doc/*.8 \
		doc/htmlhelp.hhp doc/toc.hhc doc/manref.xml
	# remove autoconf generated files
	find . -name Makefile.in -exec $(RM) {} \;
	$(RM) aclocal.m4 configure config/* m4/libtool.m4 m4/lt*.m4
	$(RM) yaz.spec doc/local.ent doc/common/print.dsl \
		yaz-config yaz.pc Doxyfile win/version.nsi \
		include/yaz/yaz-version.h
	# if this is a git repository, restore removed files that would have
	# been ignored by dpkg-source
	-test -d .git && git checkout -- $$(git status | \
		sed -e '/^#[[:space:]]*deleted:[[:space:]]*/s/^#[[:space:]]*deleted:[[:space:]]*//p;d' | \
		grep -v '^debian/')

override_dh_auto_configure:
	dh_auto_configure -- \
		--enable-shared --enable-static \
		--enable-tcpd --with-xslt \
		--with-gnutls --with-icu --with-xml2

override_dh_install:
	dh_install -X.la

override_dh_installdocs-indep:
	dh_installdocs -p yaz-doc --doc-main-package=yaz-doc

override_dh_missing:
	dh_missing --fail-missing -X.la

.PHONY: clean

## yaz 5.28.0

=== debian/changelog ===
yaz (5.28.0-1build2) focal; urgency=medium

  * No-change rebuild for icu soname change.

 -- Matthias Klose <doko@ubuntu.com>  Tue, 03 Mar 2020 21:42:54 +0100

yaz (5.28.0-1build1) focal; urgency=medium

  * No-change rebuild for icu soname change.

 -- Matthias Klose <doko@ubuntu.com>  Thu, 13 Feb 2020 10:02:09 +0100

yaz (5.28.0-1) unstable; urgency=medium

  * New upstream release.
    - Element-set is case sensitive for yaz_retrieval. The element-set name
      should be case insensitive, and thus, the name property is matched in
      a case-insensitive manner.
  * Drop spelling-fixes.patch (accepted upstream).
  * Update symbols file for yaz 5.28.0.
  * Add debian/gbp.conf.

 -- Hugh McMaster <hugh.mcmaster@outlook.com>  Mon, 30 Dec 2019 22:01:00 +1100

yaz (5.27.2-1) unstable; urgency=medium

  * New upstream release.
  * debian/control:
    - Add Hugh McMaster as an Uploader.
    - Use debhelper-compat level 12.
    - Raise Standards-Version to 4.4.1 from 4.3.0 (no changes needed).
    - Add Rules-Requires-Root: no.
  * debian/copyright:
    - Update upstream copyright to 2019.
    - Add Hugh McMaster to the 'debian' block.
  * debian/patches:
    - Drop yaz-spelling-fixes.patch (merged upstream).
    - Fix more spelling errors (spelling-fixes.patch).
  * Add debian/upstream/metadata file.

 -- Hugh McMaster <hugh.mcmaster@outlook.com>  Mon, 21 Oct 2019 23:42:25 +1100

=== debian/control ===
--- 
+++ 
@@ -1,13 +1,15 @@
 Source: yaz
 Section: utils
-Standards-Version: 4.3.0
+Standards-Version: 4.4.1
 Maintainer: Vincent Danjean <vdanjean@debian.org>
+Uploaders: Hugh McMaster <hugh.mcmaster@outlook.com>
 Priority: optional
-Build-Depends: debhelper-compat (= 11), pkg-config, libxslt1-dev,
+Build-Depends: debhelper-compat (= 12), pkg-config, libxslt1-dev,
  libreadline-dev, libwrap0-dev, libpcap0.8-dev,
  libicu-dev, libgnutls28-dev, tcl, bison, xsltproc,
  gawk, docbook-xsl, docbook-dsssl, docbook-xml,
  autoconf (>=2.61), automake (>=1:1.10), libtool
+Rules-Requires-Root: no
 Vcs-Browser: https://salsa.debian.org/debian/yaz
 Vcs-Git: https://salsa.debian.org/debian/yaz.git
 Homepage: https://www.indexdata.com/resources/software/yaz/

=== debian/watch ===
version=4

http://ftp.indexdata.dk/pub/yaz/ yaz-(.*)\.tar\.gz

## yaz 5.30.3

=== debian/changelog ===
yaz (5.30.3-1build1) groovy; urgency=medium

  * No-change rebuild against libicu67

 -- Steve Langasek <steve.langasek@ubuntu.com>  Tue, 28 Jul 2020 16:21:22 +0000

yaz (5.30.3-1) unstable; urgency=medium

  * New upstream release.
  * yaz-doc:
    - Update doc-base registration paths.
    - Don't install the NEWS file.
  * debian/rules:
    - Install the documentation in libyaz-dev but package it in yaz-doc.

 -- Hugh McMaster <hugh.mcmaster@outlook.com>  Mon, 06 Jul 2020 23:16:49 +1000

yaz (5.30.2-1) unstable; urgency=medium

  * New upstream release.
  * debian/control:
    - Use debhelper-compat v13.
  * debian/rules:
    - Remove commented DH_VERBOSE and ccache lines.
    - Remove dh_auto_clean and dh_missing overrides.
    - Remove unnecessary git restore code.
    - Stop deleting most files in the 'clean' target.
    - Replace the 'clean' target with an 'execute_before_dh_clean' target.
    - Do not install the upstream ChangeLog (dh_installchangelogs override).

 -- Hugh McMaster <hugh.mcmaster@outlook.com>  Sat, 09 May 2020 23:34:17 +1000

yaz (5.30.1-1) unstable; urgency=medium

  * New upstream release.
  * debian/patches/yaz_diag_to_str.patch:
    - Drop patch. Fix committed in YAZ 5.30.1.

 -- Hugh McMaster <hugh.mcmaster@outlook.com>  Fri, 24 Apr 2020 20:47:02 +1000

yaz (5.30.0-1) unstable; urgency=medium

  * New upstream release.
  * Update symbols file for yaz 5.30.0.
  * debian/control:
    - Sort Build-Depends list.
    - Use consistent field order in package metadata.
    - Mark libyaz-dev Multi-Arch: same.
  * libyaz-dev:
    - yaz-config and its man page are no longer packaged.
      Please switch to pkg-config (yaz, yaz-icu or yaz-server).
      This also makes the package reproducible.  Closes: #955501

 -- Hugh McMaster <hugh.mcmaster@outlook.com>  Thu, 09 Apr 2020 20:50:43 +1000

yaz (5.29.0-2) unstable; urgency=medium

  * Release to unstable.
  * Revert "libyaz-dev: No longer package yaz-config or its man page" to allow
    the new pkg-config files to enter unstable.
  * Revert "debian/control: Mark libyaz-dev Multi-Arch: same".

 -- Hugh McMaster <hugh.mcmaster@outlook.com>  Mon, 30 Mar 2020 08:54:04 +1100

yaz (5.29.0-1) experimental; urgency=medium

  * New upstream release.
  * yaz-config is no longer packaged. Please switch to pkg-config.
  * Update symbols file for yaz 5.29.0.
  * Add debian/not-installed.
  * debian/control:
    - Raise Standards-Version to 4.5.0 from 4.4.1 (no changes needed).
    - Require autoconf 2.69 or later.
    - Mark libyaz-dev Multi-Arch: same.
  * debian/copyright:
    - Update for yaz 5.29.0.
  * debian/patches:
    - Add upstream patch to fix incorrect call to yaz_diag_to_str(), which was
      causing undefined behaviour.
  * debian/rules:
    - Remove un-necessary configure flags.
    - Remove un-needed dh_install override.
    - Move excluded files from dh_missing to debian/not-installed.
  * libyaz-dev:
    - Install pkg-config files for YAZ ICU and YAZ server.
    - yaz-config, yaz-config.1 and yaz.m4 are no longer packaged.

 -- Hugh McMaster <hugh.mcmaster@outlook.com>  Wed, 25 Mar 2020 23:19:19 +1100

=== debian/control ===
--- 
+++ 
@@ -1,14 +1,29 @@
 Source: yaz
 Section: utils
-Standards-Version: 4.4.1
-Maintainer: Vincent Danjean <vdanjean@debian.org>
+Standards-Version: 4.5.0
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Vincent Danjean <vdanjean@debian.org>
 Uploaders: Hugh McMaster <hugh.mcmaster@outlook.com>
 Priority: optional
-Build-Depends: debhelper-compat (= 12), pkg-config, libxslt1-dev,
- libreadline-dev, libwrap0-dev, libpcap0.8-dev,
- libicu-dev, libgnutls28-dev, tcl, bison, xsltproc,
- gawk, docbook-xsl, docbook-dsssl, docbook-xml,
- autoconf (>=2.61), automake (>=1:1.10), libtool
+Build-Depends:
+ debhelper-compat (= 13),
+ autoconf (>=2.69),
+ automake (>=1:1.10),
+ bison,
+ docbook-dsssl,
+ docbook-xml,
+ docbook-xsl,
+ gawk,
+ libgnutls28-dev,
+ libicu-dev,
+ libpcap0.8-dev,
+ libreadline-dev,
+ libtool,
+ libwrap0-dev,
+ libxslt1-dev,
+ pkg-config,
+ tcl,
+ xsltproc
 Rules-Requires-Root: no
 Vcs-Browser: https://salsa.debian.org/debian/yaz
 Vcs-Git: https://salsa.debian.org/debian/yaz.git
@@ -47,13 +62,14 @@
  This package includes documentation for YAZ in HTML and PDF.
 
 Package: libyaz-dev
+Section: libdevel
+Architecture: any
+Multi-Arch: same
 Depends: libyaz5 (= ${binary:Version}), libxslt1-dev, libwrap0-dev,
  libgnutls28-dev, libicu-dev, ${misc:Depends}
 Breaks: libyaz4-dev
 Replaces: libyaz4-dev
 Provides: libyaz4-dev
-Section: libdevel
-Architecture: any
 Recommends: tcl
 Suggests: yaz-doc
 Description: YAZ Z39.50 toolkit (development files)
@@ -63,8 +79,8 @@
  This package includes development libraries and C/C++ header files.
 
 Package: yaz-illclient
+Architecture: any
 Depends: ${shlibs:Depends}, ${misc:Depends}
-Architecture: any
 Description: utility for ISO ILL of YAZ
  YAZ is a toolkit that allows you to develop software using the
  Z39.50/ISO23950 standard for information retrieval.
@@ -73,8 +89,8 @@
  requests to a server and decodes the response.
 
 Package: yaz-icu
+Architecture: any
 Depends: ${shlibs:Depends}, ${misc:Depends}
-Architecture: any
 Description: command line utility for ICU utilities of YAZ
  YAZ is a toolkit that allows you to develop software using the
  Z39.50/ISO23950 standard for information retrieval.

## yaz 5.31.1

=== debian/changelog ===
yaz (5.31.1-1build1) jammy; urgency=medium

  * No-change rebuild for icu soname change.

 -- Matthias Klose <doko@ubuntu.com>  Wed, 09 Feb 2022 05:42:35 +0100

yaz (5.31.1-1) unstable; urgency=medium

  * New upstream version:
    - The yaz_encode_uri_component was updated to RFC 3986. The previous
      implementation was based on RFC 2396.
  * debian/control: Drop version requirements for autoconf and automake.
  * debian/copyright: Update upstream Source URL.

 -- Hugh McMaster <hugh.mcmaster@outlook.com>  Wed, 29 Dec 2021 22:03:46 +1100

yaz (5.31.0-1) unstable; urgency=medium

  * New upstream version.
  * debian/control:
    - Raise Standards-Version to 4.6.0 from 4.5.0 (no changes needed).
    - Update package descriptions.
  * debian/copyright: Update for YAZ 5.31.0.
  * debian/gbp.conf: Use DEP-14 branch naming.
  * debian/upstream/metadata: Update Repository URL.
  * debian/watch: Use secure HTTP and string substitutions.

 -- Hugh McMaster <hugh.mcmaster@outlook.com>  Sun, 29 Aug 2021 19:13:01 +1000

=== debian/control ===
Source: yaz
Section: utils
Standards-Version: 4.6.0
Maintainer: Vincent Danjean <vdanjean@debian.org>
Uploaders: Hugh McMaster <hugh.mcmaster@outlook.com>
Priority: optional
Build-Depends:
 debhelper-compat (= 13),
 autoconf,
 automake,
 bison,
 docbook-dsssl,
 docbook-xml,
 docbook-xsl,
 gawk,
 libgnutls28-dev,
 libicu-dev,
 libpcap0.8-dev,
 libreadline-dev,
 libtool,
 libwrap0-dev,
 libxslt1-dev,
 pkg-config,
 tcl,
 xsltproc
Rules-Requires-Root: no
Vcs-Browser: https://salsa.debian.org/debian/yaz
Vcs-Git: https://salsa.debian.org/debian/yaz.git
Homepage: https://www.indexdata.com/resources/software/yaz/

Package: libyaz5
Section: libs
Architecture: any
Multi-Arch: same
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: Z39.50/SRW/SRU toolkit (libraries)
 YAZ is a toolkit for the development of client and server software built
 around the ANSI Z39.50 (ISO 23950) standard for information retrieval.
 .
 YAZ supports Z39.50-2003 (version 3), SRU versions 1.1 to 2.0, and the
 industry standard ZOOM API for Z39.50.
 .
 This package provides the yaz, yaz-icu and yaz-server libraries.

Package: yaz
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Conflicts: yaz-runtime, yaz-ssl
Description: Z39.50/SRW/SRU toolkit (utilities)
 YAZ is a toolkit for the development of client and server software built
 around the ANSI Z39.50 (ISO 23950) standard for information retrieval.
 .
 YAZ supports Z39.50-2003 (version 3), SRU versions 1.1 to 2.0, and the
 industry standard ZOOM API for Z39.50.
 .
 This package provides several utility programs for retrieving and working
 with data records obtained from URLs and web services.

Package: yaz-doc
Section: doc
Architecture: all
Multi-Arch: foreign
Depends: ${misc:Depends}
Description: Z39.50/SRW/SRU toolkit (documentation)
 YAZ is a toolkit for the development of client and server software built
 around the ANSI Z39.50 (ISO 23950) standard for information retrieval.
 .
 YAZ supports Z39.50-2003 (version 3), SRU versions 1.1 to 2.0, and the
 industry standard ZOOM API for Z39.50.
 .
 This package provides HTML documentation for YAZ.

Package: libyaz-dev
Section: libdevel
Architecture: any
Multi-Arch: same
Depends: libyaz5 (= ${binary:Version}), libxslt1-dev, libwrap0-dev,
 libgnutls28-dev, libicu-dev, ${misc:Depends}
Breaks: libyaz4-dev
Replaces: libyaz4-dev
Provides: libyaz4-dev
Recommends: tcl
Suggests: yaz-doc
Description: Z39.50/SRW/SRU toolkit (development files)
 YAZ is a toolkit for the development of client and server software built
 around the ANSI Z39.50 (ISO 23950) standard for information retrieval.
 .
 YAZ supports Z39.50-2003 (version 3), SRU versions 1.1 to 2.0, and the
 industry standard ZOOM API for Z39.50.
 .
 This package includes development libraries and C/C++ header files.

Package: yaz-illclient
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: Z39.50/SRW/SRU toolkit (command-line client for ILL)
 YAZ is a toolkit for the development of client and server software built
 around the ANSI Z39.50 (ISO 23950) standard for information retrieval.
 .
 YAZ supports Z39.50-2003 (version 3), SRU versions 1.1 to 2.0, and the
 industry standard ZOOM API for Z39.50.
 .
 The yaz-illclient program is a command-line client that sends ISO ILL
 requests to a server and decodes the response.

Package: yaz-icu
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: Z39.50/SRW/SRU toolkit (command-line client for ICU)
 YAZ is a toolkit for the development of client and server software built
 around the ANSI Z39.50 (ISO 23950) standard for information retrieval.
 .
 YAZ supports Z39.50-2003 (version 3), SRU versions 1.1 to 2.0, and the
 industry standard ZOOM API for Z39.50.
 .
 The yaz-icu program is a command-line client that exposes the ICU chain
 module of YAZ.

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-

export DEB_BUILD_MAINT_OPTIONS=hardening=+all

export DEB_CPPFLAGS_MAINT_APPEND= -Wall -g

%:
	dh $@

execute_before_dh_clean:
	$(RM) doc/local.ent

override_dh_auto_configure:
	dh_auto_configure -- \
		--enable-tcpd --with-xslt \
		--with-gnutls --with-icu --with-xml2

override_dh_installdocs-indep:
	dh_installdocs -p yaz-doc --doc-main-package=libyaz-dev

override_dh_installchangelogs:
	dh_installchangelogs -XChangeLog

## yaz 5.32.0

=== debian/changelog ===
yaz (5.32.0-1) unstable; urgency=medium

  * New upstream version.
  * debian/control: Raise Standards-Version to 4.6.1 (no changes needed).
  * debian/copyright: Update for 2022.

 -- Hugh McMaster <hugh.mcmaster@outlook.com>  Mon, 13 Jun 2022 20:43:17 +1000

=== debian/control ===
--- 
+++ 
@@ -1,6 +1,6 @@
 Source: yaz
 Section: utils
-Standards-Version: 4.6.0
+Standards-Version: 4.6.1
 Maintainer: Vincent Danjean <vdanjean@debian.org>
 Uploaders: Hugh McMaster <hugh.mcmaster@outlook.com>
 Priority: optional

## yaz 5.34.0

=== debian/changelog ===
yaz (5.34.0-1) unstable; urgency=medium

  * New upstream version.
  * debian/copyright: Update for 2023.
  * lintian-overrides: Add source-is-missing tag and comments.

 -- Hugh McMaster <hugh.mcmaster@outlook.com>  Thu, 19 Jan 2023 22:34:26 +1100

yaz (5.33.0-1) unstable; urgency=medium

  * New upstream version.
  * debian/control: Raise Standards-Version to 4.6.2 (no changes needed).
  * debian/rules:
    + Remove DEB_CPPFLAGS_MAINT_APPEND override.
    + Set DPKG_GENSYMBOLS_CHECK_LEVEL to 4.
  * Lintian: Silence very-long-line-length-in-source-file output.
  * libyaz5: Update symbols file.

 -- Hugh McMaster <hugh.mcmaster@outlook.com>  Mon, 26 Dec 2022 17:57:21 +1100

=== debian/control ===
--- 
+++ 
@@ -1,6 +1,6 @@
 Source: yaz
 Section: utils
-Standards-Version: 4.6.1
+Standards-Version: 4.6.2
 Maintainer: Vincent Danjean <vdanjean@debian.org>
 Uploaders: Hugh McMaster <hugh.mcmaster@outlook.com>
 Priority: optional

=== debian/rules ===
--- 
+++ 
@@ -2,8 +2,7 @@
 # -*- makefile -*-
 
 export DEB_BUILD_MAINT_OPTIONS=hardening=+all
-
-export DEB_CPPFLAGS_MAINT_APPEND= -Wall -g
+export DPKG_GENSYMBOLS_CHECK_LEVEL = 4
 
 %:
 	dh $@

## yaz 5.34.1

=== debian/changelog ===
yaz (5.34.1-1) unstable; urgency=medium

  * New upstream version.
  * debian/copyright: Update for 2024.
  * debian/patches:
    + Drop pkg-config-cross.patch (applied upstream).
    + Drop include-stdlib.patch (bug fixed upstream).

 -- Hugh McMaster <hmc@debian.org>  Sun, 23 Jun 2024 21:05:52 +1000

yaz (5.34.0-2) unstable; urgency=medium

  * debian/control:
    + Update my email address.
    + Build-Depend on pkgconf instead of pkg-config.
    + Sort libyaz-dev package dependencies.
    + Remove references to libyaz4-dev.
    + Raise Standards-Version to 4.7.0 (no changes needed).
  * debian/copyright: Extend my copyright to 2024.
  * debian/patches:
    + Include stdlib.h in several files (Closes: #1073314).
    + Support cross-building with pkg-config (Closes: #1058064).
      Thanks to Helmut Grohne for providing a patch.

 -- Hugh McMaster <hmc@debian.org>  Mon, 17 Jun 2024 22:43:08 +1000

## yaz 5.34.2

=== debian/changelog ===
yaz (5.34.2-1build1) plucky; urgency=medium

  * No-change rebuild for icu soname change.

 -- Matthias Klose <doko@ubuntu.com>  Sun, 05 Jan 2025 20:29:03 +0100

yaz (5.34.2-1) unstable; urgency=medium

  * New upstream version 5.34.2
  * debian/copyright:
    + Update YAZ licence to match upstream.
    + Avoid hyphenated lines.

 -- Hugh McMaster <hmc@debian.org>  Sun, 22 Sep 2024 19:22:11 +1000

## yaz 5.34.3

=== debian/changelog ===
yaz (5.34.3-1) unstable; urgency=medium

  * New upstream version 5.34.3.
  * debian/copyright: Update for 2025.

 -- Hugh McMaster <hmc@debian.org>  Tue, 11 Feb 2025 21:55:42 +1100

## yaz 5.34.4

=== debian/changelog ===
yaz (5.34.4-1build1) questing; urgency=medium

  * No-change rebuild for libxml2 soname change.

 -- Matthias Klose <doko@ubuntu.com>  Wed, 21 May 2025 08:19:27 +0200

yaz (5.34.4-1) unstable; urgency=medium

  * New upstream version 5.34.4:
    + Fix FTBFS with GCC 15 (Closes: #1098188).
  * debian/libyaz5.symbols: Add new symbols.

 -- Hugh McMaster <hmc@debian.org>  Wed, 19 Feb 2025 21:45:48 +1100
